#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>
#include <QKeyEvent>

namespace Ui {
class MainWidget;
}

class MainWidget : public QWidget
{
    Q_OBJECT

public:
    explicit MainWidget(QWidget *parent = 0);
    ~MainWidget();

    void setExitOnLostFocus(bool exit);

protected:
    bool event(QEvent* e);

    void keyReleaseEvent(QKeyEvent* e);

private:
    Ui::MainWidget *ui;

    bool exitOnLostFocus;
};

#endif // MAINWIDGET_H
